cascading.flow.planner.iso.expression

## Class OrdinalScopeExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ScopeExpression
  - - cascading.flow.planner.iso.expression.OrdinalScopeExpression

- All Implemented Interfaces:
    Expression<Scope>

      public class OrdinalScopeExpression
      extends ScopeExpression

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.iso.expression.ScopeExpression

      `ScopeExpression.Applies`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OrdinalScopeExpression` | `NOT_ORDINAL_ZERO`
    `static OrdinalScopeExpression` | `ORDINAL_ZERO`

    - ### Fields inherited from class cascading.flow.planner.iso.expression.ScopeExpression

      `ALL, ANY, applies, EACH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrdinalScopeExpression(boolean not, int ordinal)`
    `OrdinalScopeExpression(int ordinal)`
    `OrdinalScopeExpression(ScopeExpression.Applies applies, boolean not, int ordinal)`
    `OrdinalScopeExpression(ScopeExpression.Applies applies, int ordinal)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applies(PlannerContext plannerContext, ElementGraph elementGraph, Scope scope)`

    - ### Methods inherited from class cascading.flow.planner.iso.expression.ScopeExpression

      `acceptsAll, appliesToAllPaths, appliesToAnyPath, appliesToEachPath, getApplies`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ORDINAL_ZERO

          public static final OrdinalScopeExpression ORDINAL_ZERO

    - #### NOT_ORDINAL_ZERO

          public static final OrdinalScopeExpression NOT_ORDINAL_ZERO

  - ### Constructor Detail

    - #### OrdinalScopeExpression

          public OrdinalScopeExpression(int ordinal)

    - #### OrdinalScopeExpression

          public OrdinalScopeExpression(ScopeExpression.Applies applies,
                                int ordinal)

    - #### OrdinalScopeExpression

          public OrdinalScopeExpression(boolean not,
                                int ordinal)

    - #### OrdinalScopeExpression

          public OrdinalScopeExpression(ScopeExpression.Applies applies,
                                boolean not,
                                int ordinal)

  - ### Method Detail

    - #### applies

          public boolean applies(PlannerContext plannerContext,
                        ElementGraph elementGraph,
                        Scope scope)

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.